package cn.iocoder.yudao.module.grpc.controller;


import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.grpc.service.geometry.GeometryService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.annotation.security.PermitAll;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@Tag(name = "测试demo")
@RestController
@RequestMapping("/grpc/robot")
//@Validated
public class GeometryController {

    @Resource
    private GeometryService geometryService;

    @PostMapping("/onVehiclePoseUpdated")
    @Operation(summary = "测试GRPC调用")
    @PermitAll
    public CommonResult<String> onVehiclePoseUpdated() {
        return success(geometryService.onVehiclePoseUpdated());
    }
}
