package cn.iocoder.yudao.module.grpc.service.geometry;

import com.google.protobuf.DoubleValue;
import device.proto.model.common.Geometry;
import device.proto.model.common.Types;
import io.grpc.Channel;
import device.proto.api.al.robotics.universal.nav.ChassisNavigationServiceGrpc;
import net.devh.springboot.autoconfigure.grpc.client.GrpcClient;
import org.springframework.stereotype.Service;

import java.util.Iterator;


@Service
public class GeometryServiceImpl implements GeometryService{

    @GrpcClient("ChassisNavigationService")
    private Channel serverChannel;

    @Override
    public String onVehiclePoseUpdated() {

        ChassisNavigationServiceGrpc.ChassisNavigationServiceBlockingStub myServiceStub
                = ChassisNavigationServiceGrpc.newBlockingStub(this.serverChannel);
        Iterator<Geometry.Pose2d> pose2dIterator = myServiceStub.onVehiclePoseUpdated(null);
        while (pose2dIterator.hasNext()) {
            Geometry.Pose2d next = pose2dIterator.next();
            System.out.println("返回的 " + next);
        }

        DoubleValue build = DoubleValue.newBuilder().build();
        Types.Nothing nothing = myServiceStub.forkControl(build);
        return nothing.toString();
    }



}
